{ pkgs }:
let
  ourpkgs = pkgs.callPackage ../pkgs { };
in
{
  nodes = {
    storage = { config, pkgs, ourpkgs, ... }: {
      imports = [
        ../modules/packages.nix
        ../modules/tahoe.nix
      ];

      services.tahoe.nodes.storage = {
        package = ourpkgs.privatestorage;
        sections = {
          node = {
            nickname = "storage";
            "web.port" = "tcp:4000:interface=127.0.0.1";
            "tub.port" = "tcp:4001";
            "tub.location" = "tcp:127.0.0.1:4001";
          };
          storage = {
            enabled = true;
          };
        };
      };
    };
  };
  testScript = ourpkgs.lib.testing.makeTestScript {
    testpath = ./test_tahoe.py;
  };
}
